# Cobbler 2.8.5 with GUI, dhcpd, tftpd based on CentOS 7.x + systemd enabled.


# OPTION A
## Create Container via image 
### 1. Edit files according to your needs:
```
cobbler_settings
dhcp.template
```
### 2. Prepare configs in dirs which can be bound to container:
```
/var/lib/cobbler
/var/lib/tftpboot
/var/www/cobbler
```

### 3. Run container:
```
docker run --privileged --name mycobbler -v /sys/fs/cgroup:/sys/fs/cgroup:ro -v /var/lib/cobbler:/var/lib/cobbler -v /var/lib/cobbler:/var/lib/tftpboot -v /var/lib/cobbler:/var/www/cobbler --net host -d cobbler-c7
```

# OPTION B
## Create Container via the compose file

### 1. Downlod docker-compose.yml file

### 2. Edit config files based on you needs 
NOTE: at least IP variable needs to be adjusted according to your environment in the following files:
- cobbler_settings
- dhcp.template

### 3. Place configs into a proper dir
```
mkdir /apps
```

### 4. RUN docker-compose
```
docker compose up -d
```
### 5. Access WEB Cobbler
```
https://YOUR_IP/cobbler_web
```
_Login credentials:_ cobbler/cobbler
